/*code from Java Reflection in Action */
/**checks progress vs. time**/

public class ProgressChecker {
    
    public static double aDouble = 123456789.0;
    
    public static void main(String[] args) {
        int numOfIter = 15000;
        
        //Loop to measure the overhead
        long time0 = System.currentTimeMillis();
        for(int j = 0; j < numOfIter; j++) aDouble /= 1.000001;
        long time1 = System.currentTimeMillis();
        
        aDouble = 123456789.0;
        System.out.println("HelloWorld!");
        
        long time2 = System.currentTimeMillis();
        for(int j = 0; j < numOfIter; j++) {
            aDouble /= 1.000001;
            System.out.println("HelloWorld!");
        }
        long time3 = System.currentTimeMillis();
        
        double timeForOHL = (time1-time0);
        double timeForHW = (time3-time2) - timeForOHL;
        System.out.println("HWBenchmark: " + timeForOHL + " ms for basic loop.");
        System.out.println("HWBenchmark: " + timeForHW + " ms for " + numOfIter + " iterations.");
        System.out.println("HWBenchmark: " + (timeForHW/numOfIter) + " ms for per print command.");
    }
}
